%{?nodejs_find_provides_and_requires}

%global packagename get-pkg-repo
%global enable_tests 1

Name:		nodejs-get-pkg-repo
Version:	1.3.0
Release:	1%{?dist}
Summary:	Get normalized repository from package json data

License:	MIT
URL:		https://github.com/stevemao/get-pkg-repo
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/stevemao/get-pkg-repo/v%{version}/test.js
Source2:	LICENSE-MIT

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(parse-github-repo-url)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(hosted-git-info)
BuildRequires:	npm(normalize-package-data)

%endif

%description
Get normalized repository from package json data


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .

sed -i '1s/env //' cli.js

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json typos.json index.js cli.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun May  7 2017 Jared Smith <jsmith@fedoraproject.org> - 1.3.0-1
- Initial packaging
